<table class="table table-condensed home-table progress-table">
  <colgroup></colgroup>
  {{#each data}}
    <colgroup class="colgroup-{{ mod2 @index }}" span="{{ arrayLen [1] }}"></colgroup>
  {{/each}}

  <tbody>
    {{#each realms}}
      {{#unless allHiddenLevel}}
        <tr class="realm-row">
          <td rel="tooltip" title="{{ name }}">{{ name }}</td>
          {{#each ../../data}}
            <td class="progress-section" colspan="{{ arrayLen [1] }}">{{ [0] }}</td>
          {{else}}
            <td class="progress-section">No progress data here yet :(</td>
          {{/each}}
        </tr>
        {{#each characters}}
          {{#unless hiddenLevel}}
            <tr class="faction-{{ side }}">
              {{ characterName }}
              {{ progressProgress ../../../../data }}
            </tr>
          {{/unless}}
        {{/each}}
      {{/unless}}
    {{else}}
      <tr>
        <td>You don't appear to have any characters to show!</td>
      </tr>
    {{/each}}
  </tbody>
</table>
